# Couenne::CouenneCrossConv Class Reference

Cut Generator that uses relationships between auxiliaries. More...

`#include <CouenneCrossConv.hpp>`

List of all members.

## Public Member Functions
| CouenneCrossConv (CouenneProblem *, JnlstPtr, const Ipopt::SmartPtr< Ipopt::OptionsList >)
| constructor
| CouenneCrossConv (const CouenneCrossConv &)
| copy constructor
virtual | ~CouenneCrossConv ()
| destructor
virtual CouenneCrossConv * | clone () const
| clone method (necessary for the abstract CglCutGenerator class)
virtual void | generateCuts (const OsiSolverInterface &, OsiCuts &, const CglTreeInfo=CglTreeInfo()) const
| the main CglCutGenerator
virtual void | setup ()
| Set up data structure to detect redundancies.
## Static Public Member Functions
static void | registerOptions (Ipopt::SmartPtr< Bonmin::RegisteredOptions > roptions)
| Add list of options to be read from file.
## Protected Attributes
JnlstPtr | jnlst_
| Journalist.
CouenneProblem * | problem_
| pointer to the CouenneProblem representation

## Detailed Description

Cut Generator that uses relationships between auxiliaries.

Definition at line 139 of file CouenneCrossConv.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneCrossConv::CouenneCrossConv | ( | CouenneProblem * | ,
|  | JnlstPtr | ,
|  | const Ipopt::SmartPtr< Ipopt::OptionsList > |  |
| ) |  |  |

constructor

Referenced by clone().

Couenne::CouenneCrossConv::CouenneCrossConv | ( | const CouenneCrossConv & |  | ) |

copy constructor

virtual Couenne::CouenneCrossConv::~CouenneCrossConv | ( |  | ) | `[virtual]`

destructor

## Member Function Documentation

virtual CouenneCrossConv* Couenne::CouenneCrossConv::clone | ( |  | ) | const`[inline, virtual]`

clone method (necessary for the abstract CglCutGenerator class)

Definition at line 155 of file CouenneCrossConv.hpp.

References CouenneCrossConv().

virtual void Couenne::CouenneCrossConv::generateCuts | ( | const OsiSolverInterface & | ,
|  | OsiCuts & | ,
|  | const | CglTreeInfo = `CglTreeInfo()` |
| ) |  |  | const`[virtual]`

the main CglCutGenerator

static void Couenne::CouenneCrossConv::registerOptions | ( | Ipopt::SmartPtr< Bonmin::RegisteredOptions > | roptions | ) | `[static]`

Add list of options to be read from file.

virtual void Couenne::CouenneCrossConv::setup | ( |  | ) | `[virtual]`

Set up data structure to detect redundancies.

## Member Data Documentation

JnlstPtr Couenne::CouenneCrossConv::jnlst_`[protected]`

Journalist.

Definition at line 176 of file CouenneCrossConv.hpp.

CouenneProblem* Couenne::CouenneCrossConv::problem_`[protected]`

pointer to the CouenneProblem representation

Definition at line 179 of file CouenneCrossConv.hpp.

The documentation for this class was generated from the following file:

- CouenneCrossConv.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines